org.apache.ignite.internal.util.tostring

## Annotation Type GridToStringOrder

    @Documented
     @Retention(value=RUNTIME)
     @Target(value=FIELD)
    public @interface GridToStringOrder

Attach this annotation to a field to provide its order in `toString()` output. By default the order the order is the same as the order of declaration in the class. Fields with smaller order value will come before in `toString()` output. If order is not specified the `Integer.MAX_VALUE` will be used.

### Required Element Summary

Required Elements
`int` `value` Numeric order value.

### Element Detail

#### value

    public abstract int value

Numeric order value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023